List workspace activity events
curl --request GET \
--url https://api.eventlink.co/api/v1/dashboard/activity-events \
--cookie better-auth.session_token=import requests
url = "https://api.eventlink.co/api/v1/dashboard/activity-events"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://api.eventlink.co/api/v1/dashboard/activity-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"id": "<string>",
"action": "contact.created",
"summary": "<string>",
"actor": {
"kind": "user",
"userId": "<string>",
"name": "<string>",
"email": "<string>",
"label": "<string>"
},
"resourceType": "<string>",
"resourceId": "<string>",
"contactId": "<string>",
"payload": {},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextBefore": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}dashboard
List workspace activity events
Append-only feed of contact, integration, mapping, and CRM activity for the active organization.
GET
/
api
/
v1
/
dashboard
/
activity-events
List workspace activity events
Authorizations
Better Auth session cookie.
Query Parameters
Page size (default 50, max 100)
Required range:
1 <= x <= 100Return events strictly older than this ISO timestamp
Exact activity action
Available options:
contact.created, contact.updated, registration.created, crm.hubspot.sync_completed, integration.connected, integration.disconnected, form.mapping.saved, crm.object.created, crm.person.upserted, crm.person.fetched, contact.note.created, contact.note.imported, email.template.saved, email.template.deleted, email.template.reset, email.override.changed, email.promo.sent, email.notifications.updated, campaign.saved, campaign.applied, campaign.unlinked, slack.notifications.updated, salesforce.bridge.updated, salesforce.status_written, stripe.ticket_pricing.updated, stripe.payment.completed, invite.created, invite.updated Grouped filter: contacts, integrations, hubspot, salesforce, mappings, emails, campaigns, slack, or stripe
Available options:
contacts, integrations, hubspot, salesforce, mappings, emails, campaigns, slack, stripe Restrict to HubSpot or Salesforce-related events
Available options:
hubspot, salesforce